/*==========================================================================*/
/* Copyright (c) 1999 - Sykes Enterprises Inc. - All rights reserved        */
/*--------------------------------------------------------------------------*/
/* Sykes grants you ("Licensee") a non-exclusive, royalty free, license to  */
/* use, modify and redistribute this software in source and binary code     */
/* form, provided that i) this copyright notice and license appear on all   */
/* copies of the software; and ii) Licensee does not utilize the software   */
/* in a manner which is disparaging to Sykes.                               */
/*                                                                          */
/* This software is provided "AS IS", without a warranty of any kind. ALL   */
/* EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING */
/* ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR        */
/* PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SYKES AND ITS          */
/* LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A  */
/* RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE OR ITS           */
/* DERIVATIVES. IN NO EVENT WILL SYKES OR ITS LICENSORS BE LIABLE FOR ANY   */
/* LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL,          */
/* CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND        */
/* REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR      */
/* INABILITY TO USE SOFTWARE, EVEN IF SYKES HAS BEEN ADVISED OF THE         */
/* POSSIBILITY OF SUCH DAMAGES.                                             */
/*==========================================================================*/

#if !defined(AFX_WAIKOLOAVIEW_H__BBFAC02C_4463_11D3_A630_0080C774B983__INCLUDED_)
#define AFX_WAIKOLOAVIEW_H__BBFAC02C_4463_11D3_A630_0080C774B983__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/*--------------------------------------------------------------------------*/

class CWaikoloaView : public CFormView
{
protected:

	CWaikoloaView();

	DECLARE_DYNCREATE(CWaikoloaView)

public:

	//{{AFX_DATA(CWaikoloaView)
	enum { IDD = IDD_WAIKOLOA_FORM };
	CEdit	m_edThreshold;
	CButton	m_chkConcordance;
	CStatic	m_stTotalCount;
	CStatic	m_stNbMatches;
	CEdit	m_edTarget;
	CEdit	m_edSource;
	CEdit	m_edIndex;
	CSpinButtonCtrl	m_spThreshold;
	CListBox	m_lbList;
	CEdit	m_edQueryText;
	//}}AFX_DATA


public:

	CWaikoloaDoc* GetDocument();


public:

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWaikoloaView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL


public:

	virtual ~CWaikoloaView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif


protected:

	int                  m_nCX;
	int                  m_nCY;
	BOOL                 m_bInitDone;

	//{{AFX_MSG(CWaikoloaView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnQuery();
	afx_msg void OnSelchangeList();
	afx_msg void OnUpdateEditCopy(CCmdUI* pCmdUI);
	afx_msg void OnEditCopy();
	afx_msg void OnUpdateEditCut(CCmdUI* pCmdUI);
	afx_msg void OnEditCut();
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	afx_msg void OnEditPaste();
	afx_msg void OnUpdateEditUndo(CCmdUI* pCmdUI);
	afx_msg void OnEditUndo();
	afx_msg void OnConcordance();
	afx_msg void OnKillfocusThreshold();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};


/*--------------------------------------------------------------------------*/

#ifndef _DEBUG  // Debug version in WaikoloaView.cpp
inline CWaikoloaDoc* CWaikoloaView::GetDocument()
   { return (CWaikoloaDoc*)m_pDocument; }
#endif


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WAIKOLOAVIEW_H__BBFAC02C_4463_11D3_A630_0080C774B983__INCLUDED_)
